summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-01-18 13:27:02 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2017-01-18 13:27:02 -0600
commitd80637fba5d373dbde17706c2b3cba3ede6c8ee8 (patch)
treed90b4986c8b1ed774e146876f6bc61c510cb6db1 /dev-python/oslo-config
parentdev-ruby/facter: bup (diff)
downloadgentoo-d80637fba5d373dbde17706c2b3cba3ede6c8ee8.tar.gz
gentoo-d80637fba5d373dbde17706c2b3cba3ede6c8ee8.tar.bz2
gentoo-d80637fba5d373dbde17706c2b3cba3ede6c8ee8.zip
dev-python/oslo-config: bup
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/oslo-config')
-rw-r--r--dev-python/oslo-config/Manifest1
-rw-r--r--dev-python/oslo-config/oslo-config-3.17.1.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index e29101a3c68..08525863bf1 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1,2 +1,3 @@
DIST oslo-config-3.14.0.tar.gz 108240 SHA256 84ffe8ea2729384451ac0f109e255da6e68ad92437ba7954264f5f79b461045d SHA512 3eefee688d7b0f440db4632c386b2272b05a5c4f2cc76d396c8842b70c73cb9a29c3f32c9ed8eee57a84fa63407e88e6da593c8bc7517a2f6f34d69c6e2e1f61 WHIRLPOOL c53fc90f908d381bf7b82068aa6ee9340dd6f09cee5cca497390b0283450e86cc4cdc28ee2d8765e2b6cd9dc3a3b249c2fe134acf3a4eee73edcde3eda777cd1
+DIST oslo-config-3.17.1.tar.gz 110680 SHA256 cca83fd492756239142b3ec4d49ca39cb32b7afc09cb1b26f66176577bc78ed2 SHA512 6079bb7185375a6d10774aa410780872fa910e9bdac1c92a90117d1bc626765186f710f8b44e7564bb68281ff07c043563527c3a99eff20500edbcb441562b7b WHIRLPOOL a17bd4c84511610f84331c66990db91d9129afc97b4f6c7aa7f18a36d4f607e88569e85d0b5db23e68c2a3f369d12b15d0328dad18404484dbf394d5f348afa6
DIST oslo-config-3.9.0.tar.gz 99255 SHA256 ec7bdf4a3d85f90cf07d2fa03a20783558ad0f490d71bd8faf50bf4ee2923df1 SHA512 c52d1ed16149a57748e81d4eed192636fc726a4f373cb5c5d7a1bcdbe43a0339f733f94a3d922aa85c6248749b69da06d6c671a152d301510603f50913176b1c WHIRLPOOL af288fc5b5c5fef3f6c5e128585355bf0624b9fc11519c679bb2d3399a67e5935510c677ef6d714c562197260081e9fbc7e8fc7b6cebcd7aa757eedf8b17eb2e
diff --git a/dev-python/oslo-config/oslo-config-3.17.1.ebuild b/dev-python/oslo-config/oslo-config-3.17.1.ebuild
new file mode 100644
index 00000000000..f0eb4867f02
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-3.17.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.3[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
+ !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-0.2.2[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ use doc && esetup.py build_sphinx
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf .testrepository || die "could not remove '.testrepository' under ${EPTYHON}"
+
+ testr init || die "testr init failed under ${EPYTHON}"
+ testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+}